#
# spec file for package libmpeg (Version 1.3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libmpeg
Copyright:    1992 The Regents of the University of California, 1994-95 Gregory P. Ward
Group:        Development/Libraries
Provides:     mpeg_lib 
Autoreqprov:  on
Version:      1.3.1
Release:      231
Summary:      Mpeg library
URL:  http://starship.python.net/~gward/mpeglib/
Source:  ftp://ftp.mni.mcgill.ca/pub/mpeg/mpeg_lib-%{version}.tar.gz
Patch:   mpeg_lib-%{version}-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
Library with functions for access to mpeg files.

Authors:
--------
    Gregory P. Ward <greg@bic.mni.mcgill.ca>

SuSE series: gra

%prep
%setup -n mpeg_lib-%{version}
%patch

%build
EXTRA_CFLAGS=$RPM_OPT_FLAGS ./configure 
make
make -C extras

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"/usr/include
mkdir -p "$RPM_BUILD_ROOT"/usr/lib
mkdir -p "$RPM_BUILD_ROOT"/usr/bin
cp -a mpeg.h "$RPM_BUILD_ROOT"/usr/include
cp -a libmpeg.a "$RPM_BUILD_ROOT"/usr/lib
cp -a extras/mpegtest "$RPM_BUILD_ROOT"/usr/bin

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
%doc CHANGES README* doc/*.eps doc/*.ps doc/*.dvi
/usr/bin/mpegtest
/usr/include/mpeg.h
/usr/lib/libmpeg.a

%changelog -n libmpeg
* Wed May 16 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Mon May 22 2000 - nadvornik@suse.cz
- changed group
* Fri Mar 24 2000 - nadvornik@suse.cz
- added URL
* Fri Mar 17 2000 - nadvornik@suse.cz
- update to version 1.3.1
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Nov 05 1998 - ro@suse.de
- renamed function dprintf to mpg_dprintf (conflict with glibc-2.0)
* Thu Oct 30 1997 - fehr@suse.de
- add libmpeg package to S.u.S.E. distribution
